%global obsEVR  2.2-1

Name:           libunibreak
Version:        4.0
Release:    1%{?dist}
Summary:        A Unicode line-breaking library

License:        zlib
URL:            https://github.com/adah1972/libunibreak
Source0:        %{url}/releases/download/libunibreak_4_0/libunibreak-4.0.tar.gz
Source1:        LineBreakTest.txt
Source2:        WordBreakTest.txt
Source3:        GraphemeBreakTest.txt

Patch0:         %{name}-4.0-offline_checks.patch
Patch1:         %{name}-4.0-disable_broken_tests.patch
Patch2:         %{name}-4.0-remove_unused_var.patch

BuildRequires:  gcc
BuildRequires:  make

Provides:       liblinebreak = %{version}-%{release}

%description
Libunibreak is an implementation of the line breaking and word
breaking algorithms as described in Unicode Standard Annex 14 and
Unicode Standard Annex 29. It is designed to be used in a generic text
renderer.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       liblinebreak-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p 1
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} src/


%build
%configure --disable-static
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%check
%make_build check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS NEWS README.md
%license LICENCE
%{_libdir}/*.so.*

%files devel
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-1
- initial build
